Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Class NodeVector

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.xml.NodeVector

Direct Known Subclasses:
  MutableNodeListImpl

public class NodeVector
extends java.lang.Object
implements java.io.Serializable

A very simple table that stores a list of Nodes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Node[]` | `m_map`

Constructor Summary
`NodeVector()` Default constructor.
`NodeVector(int blocksize)` Construct a NodeVector, using the given block size.

Method Summary
`void` | `addElement(org.w3c.dom.Node value)` Append a Node onto the vector.
`void` | `appendNodes(NodeVector nodes)` Append the nodes to the list.
`boolean` | `contains(org.w3c.dom.Node s)` Tell if the table contains the given node.
`org.w3c.dom.Node` | `elementAt(int i)` Get the nth element.
`int` | `indexOf(org.w3c.dom.Node elem)` Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`int` | `indexOf(org.w3c.dom.Node elem, int index)` Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.
`void` | `insertElementAt(org.w3c.dom.Node value, int at)` Inserts the specified node in this vector at the specified index.
`void` | `removeAllElements()` Inserts the specified node in this vector at the specified index.
`boolean` | `removeElement(org.w3c.dom.Node s)` Removes the first occurrence of the argument from this vector.
`void` | `removeElementAt(int i)` Deletes the component at the specified index.
`void` | `setElementAt(org.w3c.dom.Node node, int index)` Sets the component at the specified index of this vector to be the specified object.
`int` | `size()` Get the length of the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_map

    protected org.w3c.dom.Node[] m_map

Constructor Detail

### NodeVector

    public NodeVector()

  Default constructor.

### NodeVector

    public NodeVector(int blocksize)

  Construct a NodeVector, using the given block size.

Method Detail

### size

    public final int size()

  Get the length of the list.

### addElement

    public final void addElement(org.w3c.dom.Node value)

  Append a Node onto the vector.

### insertElementAt

    public final void insertElementAt(org.w3c.dom.Node value,
                                      int at)

  Inserts the specified node in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

### appendNodes

    public final void appendNodes(NodeVector nodes)

  Append the nodes to the list.

### removeAllElements

    public final void removeAllElements()

  Inserts the specified node in this vector at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted upward to have an index one greater than the value it had previously.

### removeElement

    public final boolean removeElement(org.w3c.dom.Node s)

  Removes the first occurrence of the argument from this vector. If the object is found in this vector, each component in the vector with an index greater or equal to the object's index is shifted downward to have an index one smaller than the value it had previously.

### removeElementAt

    public final void removeElementAt(int i)

  Deletes the component at the specified index. Each component in this vector with an index greater or equal to the specified index is shifted downward to have an index one smaller than the value it had previously.

### setElementAt

    public final void setElementAt(org.w3c.dom.Node node,
                                   int index)

  Sets the component at the specified index of this vector to be the specified object. The previous component at that position is discarded. The index must be a value greater than or equal to 0 and less than the current size of the vector.

### elementAt

    public final org.w3c.dom.Node elementAt(int i)

  Get the nth element.

### contains

    public final boolean contains(org.w3c.dom.Node s)

  Tell if the table contains the given node.

### indexOf

    public final int indexOf(org.w3c.dom.Node elem,
                             int index)

  Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.

  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

### indexOf

    public final int indexOf(org.w3c.dom.Node elem)

  Searches for the first occurence of the given argument, beginning the search at index, and testing for equality using the equals method.

  Returns:
    the index of the first occurrence of the object argument in this vector at position index or later in the vector; returns -1 if the object is not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD